<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{homeManagerBean.initializeHome()}

            <s:div id="mainContentRegion" style="margin-top:2em;">

                <ui:decorate template="/layout/panels/_panel_title_id.xhtml">

                    <ui:param name="panel_id" value="homeInfo"/>


                    <ui:define name="panel_title">
                        <h:outputText value="#{messages['net.ihe.gazelle.transformation.DefaultHomeTitle']}"/>
                        <em class="pull-right">
                            <a4j:commandLink title="#{messages['net.ihe.gazelle.transformation.Save']}"
                                             actionListener="#{homeManagerBean.save()}"
                                             render="mainContentRegion" rendered="#{homeManagerBean.mainContentEditMode}" >
                                <span class="fa fa-hdd-o"/>

                            </a4j:commandLink>
                            <a4j:commandLink
                                    title="#{messages['net.ihe.gazelle.transformation.EditMainContent']}"
                                    action="#{homeManagerBean.editMainContent()}" render="mainContentRegion"
                                    rendered="#{identity.loggedIn and s:hasRole('admin_role') and not homeManagerBean.mainContentEditMode}">
                                <span class="gzl-icon-pencil"/>
                            </a4j:commandLink>

                        </em>
                    </ui:define>

                    <s:div  rendered="#{homeManagerBean.mainContentEditMode}">

                        <ui:decorate template="/layout/editor/_text_editor.xhtml">
                            <ui:param name="text" value="#{homeManagerBean.selectedHome.mainContent}"/>
                            <ui:param name="id" value="mainEditor"/>
                        </ui:decorate>


                    </s:div>
                    <s:div styleClass="form-horizontal" rendered="#{not homeManagerBean.mainContentEditMode}">

                        <h:outputText value="#{homeManagerBean.selectedHome.mainContent}"
                                      rendered="#{not empty homeManagerBean.selectedHome.mainContent}"
                                      escape="false"/>
                        <h:outputText value="#{messages['net.ihe.gazelle.transformation.NoHomeContent']}"
                                      rendered="#{empty homeManagerBean.selectedHome.mainContent}"/>
                    </s:div>

                </ui:decorate>

            </s:div>
        </h:form>
    </ui:define>
</ui:composition>